<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping>
    <class name="com.arrebol.taxiservicios.model.stocktaking.view.KardexInStocktakingView" table="KARDEX_IN_STOCKTAKING_VIEW" catalog="crov_spa" mutable="false">
        <id name="id" type="string">
            <column name="id" length="72" />
        </id>
        <property name="fecha" type="timestamp">
            <column length="19" name="fecha"/>
        </property>
        <property name="proveedor" type="string">
            <column name="proveedor" length="200" />
        </property>
        <property name="cantidad" type="int">
            <column name="cantidad"  />
        </property>
        <property name="producto" type="string">
            <column name="producto" />
        </property>
        <property name="code" type="string">
            <column name="producto_code" />
        </property>
        <property name="precioMayoreo" type="float" >
            <column name="precio_mayoreo"/>
        </property>
        <property name="precioMenudeo" type="float" >
            <column name="precio_menudeo"/>
        </property>
        <property name="total" type="float" >
            <column name="total"/>
        </property>
        <property name="comentarios" type="string">
            <column name="comentarios" length="250" />
        </property>
        <property name="usuario" type="string">
            <column name="usuario" length="200" />
        </property>
        <property name="compra" type="string">
            <column name="compra" length="200" />
        </property>
        <property name="nombreTaxi" type="string">
            <column name="nombre_taxi" length="200" />
        </property>
        <property name="iva" type="float" >
            <column name="iva"/>
        </property>
        <property name="providerId" type="string">
            <column name="provider_id" length="200" />
        </property>
        <property name="productId" type="string">
            <column name="product_id" length="200" />
        </property>
        <property name="taxiId" type="string">
            <column name="taxi" length="200" />
        </property>
        
        <property name="commercialInvoiceStatus" type="string">
            <column name="commercial_invoice_status" length="200" />
        </property>
    </class>
</hibernate-mapping>